japa.parser.ast.expr

## Enum UnaryExpr.Operator

- java.lang.Object
- - java.lang.Enum<UnaryExpr.Operator>
  - - japa.parser.ast.expr.UnaryExpr.Operator

All Implemented Interfaces:
  Serializable, Comparable<UnaryExpr.Operator>

Enclosing class:
  UnaryExpr

    public static enum UnaryExpr.Operator
    extends Enum<UnaryExpr.Operator>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`inverse`
`negative`
`not`
`posDecrement`
`posIncrement`
`positive`
`preDecrement`
`preIncrement`

### Method Summary

All Methods Static Methods Concrete Methods
`static UnaryExpr.Operator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UnaryExpr.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### positive

    public static final UnaryExpr.Operator positive

#### negative

    public static final UnaryExpr.Operator negative

#### preIncrement

    public static final UnaryExpr.Operator preIncrement

#### preDecrement

    public static final UnaryExpr.Operator preDecrement

#### not

    public static final UnaryExpr.Operator not

#### inverse

    public static final UnaryExpr.Operator inverse

#### posIncrement

    public static final UnaryExpr.Operator posIncrement

#### posDecrement

    public static final UnaryExpr.Operator posDecrement

### Method Detail

#### values

    public static UnaryExpr.Operator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UnaryExpr.Operator c : UnaryExpr.Operator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UnaryExpr.Operator valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null